// Code generated by protoc-gen-go. DO NOT EDIT.
// source: feast/storage/Redis.proto

package storage

import (
	fmt "fmt"
	types "github.com/gojek/feast/protos/generated/go/feast/types"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type RedisBucketKey struct {
	// Entity key from the FeatureRow
	EntityKey string `protobuf:"bytes,2,opt,name=entityKey,proto3" json:"entityKey,omitempty"`
	//*
	// This should be the first 7 characters of a sha1 of the featureId
	// This is just to save storage space as it's kept in memory.
	FeatureIdSha1Prefix string `protobuf:"bytes,3,opt,name=featureIdSha1Prefix,proto3" json:"featureIdSha1Prefix,omitempty"`
	//*
	// This groups a feature's values (for different eventTimestamps),
	// into buckets so many can be retrieved together.
	//
	// See FeatureRowToRedisMutationDoFn.
	// bucketId = roundedToGranularity(eventTimestamp).seconds / bucketSize.seconds
	BucketId             uint64   `protobuf:"fixed64,4,opt,name=bucketId,proto3" json:"bucketId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RedisBucketKey) Reset()         { *m = RedisBucketKey{} }
func (m *RedisBucketKey) String() string { return proto.CompactTextString(m) }
func (*RedisBucketKey) ProtoMessage()    {}
func (*RedisBucketKey) Descriptor() ([]byte, []int) {
	return fileDescriptor_64e898a359fc9e5d, []int{0}
}

func (m *RedisBucketKey) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RedisBucketKey.Unmarshal(m, b)
}
func (m *RedisBucketKey) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RedisBucketKey.Marshal(b, m, deterministic)
}
func (m *RedisBucketKey) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RedisBucketKey.Merge(m, src)
}
func (m *RedisBucketKey) XXX_Size() int {
	return xxx_messageInfo_RedisBucketKey.Size(m)
}
func (m *RedisBucketKey) XXX_DiscardUnknown() {
	xxx_messageInfo_RedisBucketKey.DiscardUnknown(m)
}

var xxx_messageInfo_RedisBucketKey proto.InternalMessageInfo

func (m *RedisBucketKey) GetEntityKey() string {
	if m != nil {
		return m.EntityKey
	}
	return ""
}

func (m *RedisBucketKey) GetFeatureIdSha1Prefix() string {
	if m != nil {
		return m.FeatureIdSha1Prefix
	}
	return ""
}

func (m *RedisBucketKey) GetBucketId() uint64 {
	if m != nil {
		return m.BucketId
	}
	return 0
}

//*
// Because in redis features are stored as a key per feature not per
// feature row, we need the event timestamp in the value.
type RedisBucketValue struct {
	Value                *types.Value         `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
	EventTimestamp       *timestamp.Timestamp `protobuf:"bytes,2,opt,name=eventTimestamp,proto3" json:"eventTimestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *RedisBucketValue) Reset()         { *m = RedisBucketValue{} }
func (m *RedisBucketValue) String() string { return proto.CompactTextString(m) }
func (*RedisBucketValue) ProtoMessage()    {}
func (*RedisBucketValue) Descriptor() ([]byte, []int) {
	return fileDescriptor_64e898a359fc9e5d, []int{1}
}

func (m *RedisBucketValue) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RedisBucketValue.Unmarshal(m, b)
}
func (m *RedisBucketValue) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RedisBucketValue.Marshal(b, m, deterministic)
}
func (m *RedisBucketValue) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RedisBucketValue.Merge(m, src)
}
func (m *RedisBucketValue) XXX_Size() int {
	return xxx_messageInfo_RedisBucketValue.Size(m)
}
func (m *RedisBucketValue) XXX_DiscardUnknown() {
	xxx_messageInfo_RedisBucketValue.DiscardUnknown(m)
}

var xxx_messageInfo_RedisBucketValue proto.InternalMessageInfo

func (m *RedisBucketValue) GetValue() *types.Value {
	if m != nil {
		return m.Value
	}
	return nil
}

func (m *RedisBucketValue) GetEventTimestamp() *timestamp.Timestamp {
	if m != nil {
		return m.EventTimestamp
	}
	return nil
}

//*
// This allows us to group multiple bucket values together in a
// single list to make it easier to keep sets together
type RedisBucketValueList struct {
	Values               []*RedisBucketValue `protobuf:"bytes,1,rep,name=values,proto3" json:"values,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *RedisBucketValueList) Reset()         { *m = RedisBucketValueList{} }
func (m *RedisBucketValueList) String() string { return proto.CompactTextString(m) }
func (*RedisBucketValueList) ProtoMessage()    {}
func (*RedisBucketValueList) Descriptor() ([]byte, []int) {
	return fileDescriptor_64e898a359fc9e5d, []int{2}
}

func (m *RedisBucketValueList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RedisBucketValueList.Unmarshal(m, b)
}
func (m *RedisBucketValueList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RedisBucketValueList.Marshal(b, m, deterministic)
}
func (m *RedisBucketValueList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RedisBucketValueList.Merge(m, src)
}
func (m *RedisBucketValueList) XXX_Size() int {
	return xxx_messageInfo_RedisBucketValueList.Size(m)
}
func (m *RedisBucketValueList) XXX_DiscardUnknown() {
	xxx_messageInfo_RedisBucketValueList.DiscardUnknown(m)
}

var xxx_messageInfo_RedisBucketValueList proto.InternalMessageInfo

func (m *RedisBucketValueList) GetValues() []*RedisBucketValue {
	if m != nil {
		return m.Values
	}
	return nil
}

func init() {
	proto.RegisterType((*RedisBucketKey)(nil), "feast.storage.RedisBucketKey")
	proto.RegisterType((*RedisBucketValue)(nil), "feast.storage.RedisBucketValue")
	proto.RegisterType((*RedisBucketValueList)(nil), "feast.storage.RedisBucketValueList")
}

func init() { proto.RegisterFile("feast/storage/Redis.proto", fileDescriptor_64e898a359fc9e5d) }

var fileDescriptor_64e898a359fc9e5d = []byte{
	// 325 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x91, 0xcd, 0x4f, 0xf2, 0x40,
	0x10, 0xc6, 0xd3, 0x97, 0x57, 0x22, 0x4b, 0x24, 0x66, 0x35, 0xb1, 0x36, 0x26, 0x34, 0x9c, 0x7a,
	0xda, 0x55, 0x3c, 0xe8, 0xb9, 0x37, 0x82, 0x89, 0xa4, 0x7e, 0x1c, 0xbc, 0x6d, 0xe9, 0x74, 0xa9,
	0x7c, 0x2c, 0xe9, 0x4e, 0x89, 0x4d, 0x3c, 0xf8, 0xa7, 0x1b, 0x66, 0x01, 0x85, 0x78, 0x6b, 0xf7,
	0xf9, 0xcd, 0xcc, 0x33, 0xf3, 0xb0, 0xcb, 0x1c, 0x94, 0x45, 0x69, 0xd1, 0x94, 0x4a, 0x83, 0x4c,
	0x20, 0x2b, 0xac, 0x58, 0x96, 0x06, 0x0d, 0x3f, 0x21, 0x49, 0x6c, 0xa4, 0xa0, 0xab, 0x8d, 0xd1,
	0x33, 0x90, 0x24, 0xa6, 0x55, 0x2e, 0xb1, 0x98, 0x83, 0x45, 0x35, 0x5f, 0x3a, 0x3e, 0xb8, 0x70,
	0xad, 0xb0, 0x5e, 0x82, 0x95, 0xaf, 0x6a, 0x56, 0x81, 0x13, 0x7a, 0x9f, 0xac, 0x43, 0x7d, 0xe3,
	0x6a, 0x3c, 0x05, 0x1c, 0x42, 0xcd, 0xaf, 0x58, 0x0b, 0x16, 0x58, 0x60, 0x3d, 0x84, 0xda, 0xff,
	0x17, 0x7a, 0x51, 0x2b, 0xf9, 0x79, 0xe0, 0xd7, 0xec, 0x2c, 0x07, 0x85, 0x55, 0x09, 0x83, 0xec,
	0x69, 0xa2, 0x6e, 0x46, 0x25, 0xe4, 0xc5, 0x87, 0xdf, 0x20, 0xee, 0x2f, 0x89, 0x07, 0xec, 0x38,
	0xa5, 0xe6, 0x83, 0xcc, 0xff, 0x1f, 0x7a, 0x51, 0x33, 0xd9, 0xfd, 0xf7, 0xbe, 0x3c, 0x76, 0xfa,
	0x6b, 0x3c, 0x19, 0xe3, 0x11, 0x3b, 0x5a, 0xad, 0x3f, 0x7c, 0x2f, 0xf4, 0xa2, 0x76, 0x9f, 0x0b,
	0xb7, 0x2b, 0x79, 0x17, 0x84, 0x24, 0x0e, 0xe0, 0x31, 0xeb, 0xc0, 0x0a, 0x16, 0xf8, 0xbc, 0xdd,
	0x96, 0xfc, 0xb6, 0xfb, 0x81, 0x70, 0xf7, 0x10, 0xdb, 0x7b, 0x88, 0x1d, 0x91, 0x1c, 0x54, 0xf4,
	0x1e, 0xd9, 0xf9, 0xa1, 0x83, 0x87, 0xc2, 0x22, 0xbf, 0x63, 0x4d, 0x1a, 0x62, 0x7d, 0x2f, 0x6c,
	0x44, 0xed, 0x7e, 0x57, 0xec, 0x9d, 0x5c, 0x1c, 0x16, 0x25, 0x1b, 0x3c, 0x7e, 0x61, 0xfb, 0xe1,
	0xc4, 0x8c, 0xd0, 0xd1, 0xda, 0xca, 0xdb, 0xbd, 0x2e, 0x70, 0x52, 0xa5, 0x62, 0x6c, 0xe6, 0x52,
	0x9b, 0x77, 0x98, 0x4a, 0x17, 0x0c, 0x19, 0xb5, 0x52, 0xc3, 0x02, 0x4a, 0x85, 0x90, 0x49, 0x6d,
	0xe4, 0x5e, 0xfa, 0x69, 0x93, 0x90, 0xdb, 0xef, 0x00, 0x00, 0x00, 0xff, 0xff, 0x28, 0x5b, 0x47,
	0xf9, 0x15, 0x02, 0x00, 0x00,
}
