/*
 * Copyright 2018 The Feast Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package feast.serving.model;

import com.google.protobuf.Timestamp;
import feast.types.ValueProto;
import lombok.AllArgsConstructor;
import lombok.Value;

/** Class representing a feature value in a given time. */
@Value
@AllArgsConstructor
public class FeatureValue {
  /** Feature Id of the feature */
  String featureId;

  /** Entity Id of the feature */
  String entityId;

  /** Value of the feature. */
  ValueProto.Value value;

  /** Timestamp of the feature.*/
  Timestamp timestamp;
}
